Subject: NNCP proxy for Internet mail providers?

From: [email-masked]
Date: Tue, 26 Oct 2021 23:25:34 +0000

Would anyone be interested in a daemon or set of daemons that sat
between a "normal" IMAP4+SMTP-submission remote access mail host and a
local sendmail/nncp/postfix setup?  I figure this use case is what's
missing for broad adoption of NNCP - self hosting Internet mail is
basically a non-starter for everyone in the US due to ISPs blackholing
port 25 and major webmail providers refusing to relay from residential
ISP ranges for spam reasons.  This also allows "chaining" of proxies for
providers that use non-standard protocols, like DavMail for Exchange, or
Hydroxide for ProtonMail.  For a single user the proxies should be
lightweight enough to run on a Raspberry Pi or cheap $5/mo VPS.

Yes, this is dumb and lame and suboptimal, but short of legal action
requiring that home user IPs be treated like full equal peers on the
Internet, it's the best way to use NNCP for mail without dealing with
the headaches of managing PKI, SPF/DKIM auth, spam filtering, etc. which
make managing public email servers a pain in the ass.